aaa_load_required_packages <-
function(){
  ###This function loads all required and previously installed packages into the R session.
  
  ###Required packages list:
  ## CATkit
  ## plyr
  ## lubridate
  ## nnet
  ## rapport*
  ## rapportools*
  ## signal
  ## lomb
  ## zoo
  ## mFilter
  ## tcltk
  ## tcltk2
  ## pracma*
  
  # *These packages are loaded only when they are needed and then unloaded.
  #  They mask the base "mean" function which is used in the codes.
  
  packages <- c("CATkit","plyr","lubridate","nnet","signal","lomb","zoo","mFilter","tcltk","tcltk2")
  
  lapply(packages,require,character.only=TRUE)
  
  print("All packages were loaded into R session.")
  
}
