b_file_formatting <-
function(monitor){
  
  monitor$Date <- paste(monitor$Day,monitor$Month,monitor$Year,sep="-")
  
  #Change the date format from "20-Oct-12" to "2012-10-20". The CATkit package requires ths change.
  monitor$newdate <- strptime(as.character(monitor$Date), "%d-%b-%Y")
  
  #Eliminate dashes (-) from date "2012-10-20" to "20121020"
  monitor$newdate <- gsub("[[:punct:]]","",strptime(as.character(monitor$Date),"%d-%b-%Y"))
  
  #Add column with "20000000" in every row to facilitate conversion of date to desired CATkit format.
  monitor$year <- rep("20000000",nrow(monitor))
  
  #Change class of 
  monitor$newdate <- as.numeric(monitor$newdate)
  
  monitor$year <- as.numeric(monitor$year)
  
  monitor$Newdate <- monitor$newdate + monitor$year
  
  monitor$newtime <- gsub("[[:punct:]]","",monitor$Time)
  
  monitor$zeros <- rep("000000",nrow(monitor))
  
  monitor$newnewdate <- paste(monitor$Newdate, monitor$zeros, sep="")
  
  monitor$newnewdate <- as.numeric(monitor$newnewdate)
  
  monitor$newtime <- as.numeric(monitor$newtime)
  
  Datetime <- monitor$newnewdate + monitor$newtime
  
  monitor <- cbind(Datetime,monitor)

  #monitor <- as.integer(monitor$Datetime)
  
monitor$bin <- NULL
monitor$Day <- NULL
monitor$Month <- NULL
monitor$Year <- NULL
monitor$Date <- NULL
monitor$Time <- NULL
monitor$Status <- NULL
monitor$empty1 <- NULL
monitor$empty2 <- NULL
monitor$empty3 <- NULL
monitor$empty4 <- NULL
monitor$empty5 <- NULL
monitor$empty6 <- NULL
monitor$newdate <- NULL
monitor$year <- NULL
monitor$Newdate <- NULL
monitor$newtime <- NULL
monitor$zeros <- NULL
monitor$newnewdate <- NULL
monitor$datetime <- NULL





fileName.formatted <- paste(fileName,"__formatted__",analysis.start,".csv",sep="")
write.csv(monitor,paste(monitor.file,"__formatted__",analysis.start,".csv",sep=""),row.names = FALSE)



assign("fileName.formatted",fileName.formatted,envir=.GlobalEnv)


return(monitor)
}
