dead_individuals <-
function(mondata,noise,inactivity){
  
  
  
  output1 <- count_consecutive_zeros(trikdata=mondata)
  
  #This part of the code is used to prevent elimination of organisms
  #that are alive, but did not move for more than 1 day (1440 mins).
  #This also happens when the electricity is OFF, and there are gaps
  #filled with zeros.
  
  maxes <- c()
  
  #This loop looks for the max number of consecutive zeros by individual.
  for(r in seq(from=2,to=ncol(output1[[1]]))){
    colmax <- max(output1[[1]][,r],na.rm=TRUE)
    maxes <- append(maxes,colmax,after=length(maxes))
  }
  
  dead_bees <- c()
  dead_bees <- as.vector(rep(NA,length(maxes)))
  
  
  #This loop checks if the max number of consecutive zeros determined earlier
  #coincides with the number of bins from the time the zeros began until the
  #end of the data set.  If these number are equal, the individual is considered dead.
  #If the numbers are not equal a test is performed:
    #The activity is summed.  If the activity is is less than "noise" per day,
    #the individual is dead. If it is greater, the individual is alive, 
    #and is not eliminated from the data set.
  
  for(q in 1:length(maxes)){
    startzeros <- which(output1[[1]][,q+1]==maxes[q])
    if(length(output1[[1]][startzeros:output1[[2]],q+1])==maxes[q]){
      if((maxes[q] > inactivity)|(sum(mondata[startzeros:output1[[2]],q+1]) < noise)|((maxes[q] > inactivity)&((((sum(mondata[startzeros:output1[[2]],q+1]))*1440)/(maxes[q])) < noise))){
        dead_bees[q] <- q
      }
    }
    if(length(output1[[1]][startzeros:output1[[2]],q+1])!=maxes[q]){
      if((((((sum(mondata[startzeros:output1[[2]],q+1]))*1440)/(length(output1[[1]][startzeros:output1[[2]],q+1])))) < noise)){
        #|((maxes[q] > inactivity)&((((sum(rawdata[startzeros:x,q+1]))*1440)/(maxes[q])) < noise))){
        #(maxes[q] > inactivity)||((maxes[q] > inactivity)&((((sum(rawdata[startzeros:x,q+1]))*1440)/(maxes[q])) < noise))){
        dead_bees[q] <- q
      }
    }
  }
  dead_bees <- as.vector(na.omit(dead_bees))
  
  return(dead_bees)
  
  #assign(dead_bees,dead_bees,envir=.GlobalEnv)
}
