g_file_rearrange <-
function(trik,column,TimeCol=1){
  
  
  myHeader <- read.table(trik,header=TRUE,nrows=1,sep=",",skip=0)
  
  myData1A <- read.table(trik,header=TRUE,sep=",",skip=0,stringsAsFactors=FALSE,comment.char="",col.names=names(myHeader))
  
  myData1 <- myData1A[, c(TimeCol = TimeCol, valCols = column)]
  
  myData1[, TimeCol[1]] <- as.POSIXct(strptime(x = paste(myData1[,TimeCol[1]], myData1[, TimeCol[1]]), format = "%Y%m%d%H%M" , tz = "GMT"))      #Changes date format.
  
  return(myData1)
  #assign("myData1",myData1,envir=.GlobalEnv)
  
}
