onemonthweather <- function(Month,Year,locationzip){
  
  #install.packages("lubridate")
  #install.packages("rwunderground")
  require(lubridate)
  require(rwunderground)
  
  
  if(Month=="01"|Month=="03"|Month=="05"|Month=="07"|Month=="08"|Month=="10"|Month=="12"){
    maxday=31
  }
  if(Month=="04"|Month=="06"|Month=="09"|Month=="11"){
    maxday=30
  }
  if(Month=="02"){
    testdate <- as.character(paste(Year,Month,"01",sep=""))
    if(leap_year(ymd(testdate))==TRUE){
      maxday=29}
    if(leap_year(ymd(testdate))==FALSE){
      maxday=28}
  }
  set_api_key("945ea2f17967d99a")
  
  monthweather <- data.frame()
  callcount <- 0
  
    for(i in seq(from=1,to=maxday,by=1)){
      tryCatch({
    
      callcount <- callcount+1
    if(callcount%%5==0){
      print("...")
      print("...")
      print("...")
      print("...")
      print("...")
      print("Pausing for 20 seconds")
      print("Must not exceed allowed maximum of 10 queries per minute")
      Sys.sleep(15)
      print("5 seconds remaining")
      Sys.sleep(4)
      print("...")
      print("...")
      print("...")
      print("...")
      print("...")
      print("Continuing queries")
    }
    i <- formatC(i,width=2,format="d",flag="0")
    querydate <- as.character(paste(Year,Month,i,sep=""))
    result <- history(location=set_location(zip_code=locationzip),date=querydate,key=get_api_key())
    dayweather <- as.data.frame(result)
    monthweather <- rbind(monthweather,dayweather)
    
      })
      #,function(e){cat("ERROR: Day",i,"was skipped")})
    
  }
  assign(paste("weather",Year,Month,sep=""),monthweather,envir=.GlobalEnv)
  
}