c_camfile_timeconversion <- function(camera_data){
  
  #Eliminate punctuation marks (:) from time.
  camera_data$Time <- gsub("[[:punct:]]","",camera_data$Time)
  
#Convert time from class "factor" to class "numeric".
camera_data$Time <- as.numeric(camera_data$Time)

#Convert time to fraction of day by dividing each time point (down to the second) by 24.
camera_data$Time <- camera_data$Time/240000

print(head(camera_data))

return(camera_data)
}
