binning_days.count <- function(timecol=1,firstvarcol=2,lastvarcol=6,minutesperbin=60,maxGap=5){
  
  
  
  
  myHeader <- read.table(fileName, header = TRUE, nrows = 1,sep = ",", skip = 0)
  
  
  myData1A <- read.table(fileName, header = TRUE, sep = ",",skip = 0, stringsAsFactors = FALSE, comment.char = "",col.names = names(myHeader))
  
  myData1 <- myData1A[, c(TimeCol = timecol, valCols = seq(from=firstvarcol,to=lastvarcol,by=1))]
  
  myData1[, TimeCol[1]] <- as.POSIXct(strptime(x = paste(myData1[,TimeCol[1]], myData1[, TimeCol[1]]), format = "%Y%m%d%H%M" , tz = "GMT"))
  
  myList <- do.call(Import, list(x = myData1, tsCol = timecol, valCols = seq(from=firstvarcol,to=lastvarcol,by=1), sumCols = 1,
                                 rowDurationSeconds = (minutesperbin*60), maxGap = maxGap, 
                                 verbose = 0, tz = "GMT"))
  
  binned30 <- CatBin(TimeCol=timecol, startX = firstvarcol, endX = lastvarcol, Avg=FALSE, lum=NA, sizePts=1, binPts=30,modulo=1440, startData=1, myData=myList$df)
  data30mins <- as.vector(binned30$DataList)

}