truncate_files <- function(time.start="0600"){
  
  for(i in recordnamelist){
    tempfile <- get(i)
    hourtime <- str_sub(tempfile[,1],9,12)
    firstbin <- (which(hourtime==time.start))
    
    tempfile2 <- tempfile[firstbin:nrow(tempfile),]
    assign(i,tempfile2,envir=.GlobalEnv)
    
    write.csv(tempfile2,paste(sub(pattern=".csv",replacement="",x=i),"_formatted_avg-dup_truncated.csv",sep=""),row.names=FALSE)
    
  }
}
