a_load_monitor <-
function(){
 
  #Set the folder with your input files as the working directory. 
filePath <- dirname(file.choose())

assign("filePath",filePath,envir=.GlobalEnv)

setwd(filePath)

#Select the specific file input to be loaded.
fileName <- file.choose()

fileName <- gsub("\\","/",fileName,fixed=TRUE)

monitor <- read.table(fileName,header=FALSE,col.names=c("bin","Day","Month","Year","Time","Status","empty1","empty2","empty3","empty4","empty5","empty6","Channel1","Channel2","Channel3","Channel4","Channel5","Channel6","Channel7","Channel8","Channel9","Channel10","Channel11","Channel12","Channel13","Channel14","Channel15","Channel16","Channel17","Channel18","Channel19","Channel20","Channel21","Channel22","Channel23","Channel24","Channel25","Channel26","Channel27","Channel28","Channel29","Channel30","Channel31","Channel32"))

fileName <- gsub(".txt","",fileName)
assign("fileName",fileName,envir=.GlobalEnv)

monitor.file <- gsub(filePath,"",fileName)
monitor.file <- gsub(".txt","",monitor.file)
monitor.file <- gsub("/","",monitor.file,fixed=TRUE)

assign("monitor.file",monitor.file,envir=.GlobalEnv)

write.csv(monitor,file=paste(monitor.file,"__",analysis.start,".csv",sep=""),row.names=FALSE)


fileName.monitor <- paste(fileName,"__",analysis.start,".csv",sep="")

assign("fileName.monitor",fileName.monitor,envir=.GlobalEnv)

return(monitor)
}
