aa_install_packages <-
function(){
  
    ###Checks and installs all required packages.
    ###Only exception is CatKit, which must be downloaded from their webpage.
    ###    www.wlihdhcgqwdcgh.com
    
    ###Package list:
    ## plyr
    ## lubridate
    ## nnet
    ## rapport
    ## rapportools
    ## signal
    ## lomb
    ## zoo
    ## mFilter
    ## tcltk
    ## tcltk2
    
    packages <- c("pracma","plyr","lubridate","nnet","rapport","rapportools","signal","lomb","zoo","mFilter","tcltk","tcltk2")
    
    
    packages.installed <- which((packages %in% installed.packages())==TRUE)
    
    packages <- packages[-c(packages.installed)]
    
    if(length(packages)==0){
      print("All required packages are already installed")
    }else{
      install.packages(packages)
      print("All missing packages were installed")
    }
  }
