d_file_noiseelim <-
function(monitor,noisethresh){
  
    
  #noisethresh <- level of activity considered as noise.
  #For example: dead organisms showing a certain level of activity.
  

    for(i in 2:length(monitor)){
      for(j in 1:nrow(monitor)){
        monitor[j,i] = monitor[j,i]-noisethresh
        if(monitor[j,i] < 0){
          monitor[j,i] = 0
        }
      }
    }

  
  fileName.nonoise <- paste(fileName,"__nonoise__",analysis.start,".csv",sep="")
  
  write.csv(monitor,paste(monitor.file,"__nonoise__",analysis.start,".csv",sep=""),row.names = FALSE)
  
  assign("fileName.nonoise",fileName.nonoise,envir=.GlobalEnv)
  
  return(monitor)
  
}
