h_plot_actograms <-
function(trik=monitor,TimeCol=1,maxGap=5,minperbin,channels,fileName){

  myData1 <- g_file_rearrange(trik=trik,channels=channels,TimeCol=TimeCol)
  
  myList <- do.call(Import, list(x = myData1, tsCol = TimeCol, valCols = channels, sumCols = TimeCol,
                                 rowDurationSeconds = minperbin * 60, maxGap = maxGap, 
                                 verbose = 0, tz = "GMT"))
  
  if(length(channels)>1){
  CatBins <- CatBin(TimeCol=TimeCol, startX = 2, endX = max(channels), Avg=FALSE, lum=NA, sizePts=1, binPts=1,modulo=1440, startData=1, myData=myList$df)
  }else{
    CatBins <- CatBin(TimeCol=TimeCol, startX = 2, endX = channels, Avg=FALSE, lum=NA, sizePts=1, binPts=1,modulo=1440, startData=1, myData=myList$df)
    
  }
  
  Actogram(endX=max(channels),Avg=FALSE, lum=NA, yLab=NA, modulo=1440, Rverbose=0,tz="GMT",CatBins=CatBins,fileName=fileName,fileNum=1,startData=1)
  
# pdf(paste(fileName,"actograms.pdf"))
# par(mfrow=c(16,1),mar=c(1,1,1,1))
# for(p in 2:ncol(rawdatagraph)){
#   plot(rawdatagraph[,p],type="l")
# }
# 
# dev.off()
 }
