m_running_median <-
function(x=CatBins,k){
  
  monitorbinnedsmooothed <- runmed(x$DataList,k=k,endrule="keep")
  dates <- gsub("/","-",x$TimeBins)
  
  smoothedmed <- data.frame(dates,monitorbinnedsmoothed)
  colnames(smoothedmed) <- x$binNames
  
  plot(monitorbinnedsmooothed,type="l")
  legend("topright",legend = c(paste("Actogram",x$newMinPerBin,"mins 'Running Median'"),paste("k =",k)),bty = "n",cex = 1)
  abline(v=seq(from=0,to=length(monitorbinnedsmooothed),by=x$dayPts),lty="dotted",col="gray")
  
  return(smoothedmed)
  #assign("smoothed",smoothed,envir=.GlobalEnv)
}
