n_butterworth <-
function(x=CatBins,filtorder=2,periodmin){
  
  
  filterparam <- butter(n=filtorder,W=((minutesbin*60)/(periodmmin*3600)))
 
  monitorbinnedfiltered <- filter(filterparam,x$DataList)
  
  dates <- gsub("/","-",x$TimeBins)
  
  filtered <- data.frame(dates,monitorbinnedfiltered)
  colnames(filtered) <- x$binNames
  
  plot(monitorbinnedfiltered,type="l")
  legend("topright",legend = c(paste("Actogram",x$newMinPerBin,"mins 'Butterworth'"),paste("tau =",periodmin)),bty = "n",cex = 1)
  abline(v=seq(from=0,to=length(monitorbinnedfiltered),by=x$dayPts),lty="dotted",col="gray")
  
  
  #assign("filtered",filtered,envir=.GlobalEnv)
  
  return(filtered)

  }
