o_movingaverage <-
function(x=CatBins,n=3,type="s"){
  
  
  monitorbinnedmovavg <- movavg(x=x$DataList,n=n,type=type)
  
  dates <- gsub("/","-",x$TimeBins)
  
  smoothedavg <- data.frame(dates,monitorbinnedmovavg)
  colnames(smoothedavg) <- x$binNames
  
  plot(monitorbinnedmovavg,type="l")
  legend("topright",legend = c(paste("Actogram",x$newMinPerBin,"mins 'Moving Average'"),paste("n =",n)),bty = "n",cex = 1)
  abline(v=seq(from=0,to=length(monitorbinnedmovavg),by=x$dayPts),lty="dotted",col="gray")
  
  return(smoothedavg)
  #assign("smoothedavg",smoothedavg,envir=.GlobalEnv)
}
