q_jon_lsp <-
function(lombdata=CatBins,times=times,ofac=5,from=NULL,to=NULL,type,alpha,plot=FALSE){
  
  tempdata <- as.vector(lombdata$DataList)
  
  lomboutraw <- lombscargle_mod(x=tempdata,times=times,from=from,to=to,ofac=ofac,alpha=p.alpha,type=type,plot=plot)
  
  plot(lomboutraw,main="",xlab=paste("Period (",lomboutraw$peak.at[1],"hours)"),ylab="Power")
  abline(v=24,col="gray",lty="dotted")
  
  return(lomboutraw)
}
